Description

Currently, adding (minimal) support for a new SOP Class to the DCMTK is quite cumbersome since - depending on the type of SOP
Class - changes to various files are needed (see e.g. this Howto).

In order to facilitate the work of adding new SOP Classes and of maintaining the definitions, it would be helpful to have a central
place where all SOP Classes (Storage and others) are defined with their UID, Name and Features (e.g. for Storage SOP Classes, a
classification like Image, SR, Waveform, etc., Patient vs. Non-Patient and so on). The current API, e.g.
dcmlsaStorageSOPClassUID() or dcmlsimageStorageSOPClassUID(), should probably stay for a while. Maybe, also other UIDs
such as for Transfer Syntaxes or Well-known Frame of References, should be added to this new data structure.

It would probably also be useful to think about a new naming scheme for the modality-specific (SOP class) filename prefix defined as
part of the DcmModalityTable structure, since it is becoming more and more difficult to find unused but still intuitive combinations of 2
or 3 three letters.

Related issues:
Related to DCMTK - Conformance #935: Add support for official "UID keywords" ... Closed 2020-05-26

History

#1 - 2020-08-24 13:22 - J6rg Riesmeier
- Description updated

#2 - 2020-08-24 13:26 - J6rg Riesmeier
- Description updated

#3 - 2020-08-24 13:29 - J6rg Riesmeier

CP 1995 (Add keywords for standard UIDs), currently in status "Letter Ballot", will introduce standardized keywords for all UIDs defined in PS3.6.
Maybe, these official keywords should also be added to the new data structure. These keywords are needed e.g. when implementing support for
Supplement 219 (JSON Representation of DICOM Structured Reports).

#4 - 2022-06-15 20:45 - Jorg Riesmeier
- Related to Conformance #935: Add support for official "UID keywords" introduced with CP-1995 added

#5 - 2023-04-20 15:00 - J6rg Riesmeier

- Subject changed from Introduced central place where new SOP Classes are defined to Introduce central place where new SOP Classes are defined
